<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.system.mapper.EduAppMapper">
    <select id="listAppPage" resultType="com.yida.data.common.core.entity.system.EduApp">
        select a.*,b.DEPT_NAME schoolName
        from edu_app a left join t_dept b on a.dept_id=b.DEPT_ID
        <where>
            <if test="schoolId != null">
                a.dept_id=#{schoolId}
            </if>
        </where>
        order by a.dept_id,a.code
    </select>
</mapper>